Opencart 3 начало

Opencart 3 начало

Пока вы все садите картоху, я работаю)

Наконец, появилась возможность посмотреть в Opencart 3, который уже как три недели находится в альфа-версии, поближе.

У Динокса на форуме пиздабольшики развели уже холивар на 7 страниц, как все плохо и какие классные другие фреймворки. Но к ним у меня просто отношение — плохому танцору всегда яйца мешают.

99% пользователям Opencart глубоко похуй на шаблонизаторы, фабрики запросов, и всю остальную техническую муть, на тему которой так любят поволать ебанаты.

Итак. Я оставлю без комментариев технические моменты, что лучше и что хуже. И как стоило бы сделать, потому как, это бесполезный разговор по трем причинам:

Во первых Даниэль Керр глубоко срал на подобных холиварщиков и у него свое видение проекта, ебанутое конечно, но с ним ничего не поделаешь.

Во вторых чтобы каким-то образом модифицировать архитектуру и уйти от материнской ветки движка, необходимо большое коммьюнити заинтересованных РАЗРАБОТЧИКОВ, а не пользователей. Поэтому кроме как пиздежом, с учетом кучи умных фраз, подобные темы ничем не заканчиваются и закончится не могут. Пока что нет в рунете достаточно сильного коммьюнити создать и развить нормальный форк.

Ну и в третьих С — СТАБИЛЬНОСТЬ. Стабильность Opencart обусловлена в первую очередь огромным междунардным коммюнити, среди которого есть несколько очень сильных специалистов. Благодаря чему вовремя обнаруживаются и фиксятся хотя бы все security-баги.

Поэтому господа пиздаболы, пусть продолжают пиздаболить, а мы с вами обсудим ситуацию с точки зрения обывателя.

Что же изменится для рядового владельца магазина?
По моему ровным счетом — ничего.

Шаблоны как базировались на бутстрапе, так на нем и остались (ниже подробнее почему это херово).
Дефолтный шаблон как был с уебищным меню и одним товаров в строке на мобиле — так и остался.
Ебанистически конченное меню в админке с доступом в два лишних клика в модули и шаблоны, появившееся в 2.2 — тоже осталось.
Ocmod — ебучий Ocmod — вместо прекрасного Vqmod  — тоже блять нихуя не изменился.

Зато появился редактор twig-темплейтов. Я уже вижу как горе-специалисты владельцы магазинов будут туда совать свой нос, лепить хуйню а потом вопеть — у меня все поломалось.

Библиотека seo_url, как была, так и осталась в плане SEO — подвижек никаких.

Также появился встроенный магазин дополнений — ебать как ахуеть важно. Типа совсем бабла мало у Даниэля. Но с учетом архитектуры Ocmod, я уже себе вижу как будут эти все дополнения друг с другом ебаться.

Есть какой то редактор меню, пока я туда не досмотрел.

А в общем и целом, вся эта хуйня пока что ни чем не отличается от 2.3, которая по моему мнению не очень, и становиться 3.0 ей пока очень рано. А приправы в виде TWIG и встроенного магазина дополнений в хуй рядовому пользователю не впились.

А теперь вернемся к вопросу, почему bootstrap — в формате того как его юзает даниэль — дерьмо:
Во первых — уже 4 в альфе и там есть все новомодные flex-штуки. И он намного удобней, но Даниэль наверное про него не слышал.
Во вторых — сам по себе бутстрап очень сильно ограничивает работу с широкими мониторами, ебись со своими 4 колонками и пиздец.
В третьих — он мать его тяжелый. Зачем грузить кучу лишних стилей скриптов, если можно спокойно реализовать базовую адаптивность в 200-300 строк стилей.

Хуйнаныр(52)Очко(6)

Запостить высер

15 Высеров на "Opencart 3 начало"

Стучать мне на мыло
avatar

Сортировать:   Свежие | Тухлые | Хуйнанырные
rb
робот-вертер
6 месяцев 20 дней назад

> Также появился встроенный магазин дополнений — ебать как ахуеть важно. Типа совсем бабла мало у Даниэля.

Йода, ты прям как маленький. Ты не в ту сторону думаешь. Ты думай, как апи скопипастить и ЧЕЙ магазин будет У ТЕБЯ в сборке. И @19th-му намекни.

И коммент этот можешь потом удалить, может другие до этого не додумаются ещё какое-то время.
Мне что-то казалось, что это всем очевидно и все ринутся встроенный магазин подменять на свой.

Влад
робот-вертер
Влад
6 месяцев 19 дней назад

Сижу на 1.5 и не парюсь.

Waha
робот-вертер
Waha
6 месяцев 18 дней назад

Даниель может хоть 100500 версию выпустить)) Он перестановки и перекладки по папкам файлов код лучше не станет)) Хотя мне и так норм..
Правда с новыми релизами все больше мусора в виде заготовок на будущее.. вот они мне не нравятся.
Йода рад что ты вернулся =) Не пропадай так надолго, всей работы не переделаешь.

P.S если все еще у кого-то есть интерес узнать об Амазон и каким боком я с ним связан, йода думаю не откажется написать об этом… Ты знаешь где меня найти

Вася
робот-вертер
Вася
6 месяцев 16 дней назад

Во вторых — сам по себе бутстрап очень сильно ограничивает работу с широкими мониторами, ебись со своими 4 колонками и пиздец.

— А что вам мешает руками bootstrap скомпилировать , и сделать больше колонок ?

http://getbootstrap.com/customize/

— Grid system

Define your custom responsive grid. — можно втулить сколько хочешь ,

В третьих — он мать его тяжелый. Зачем грузить кучу лишних стилей скриптов, если можно спокойно реализовать базовую адаптивность в 200-300 строк стилей.

Бред , его можно кастомно тоже сгрузить , без иконок и прочего лишнего , можно , хоть одну сетку .

rb
робот-вертер
6 месяцев 16 дней назад

«… почему bootstrap — в формате того как его юзает даниэль — дерьмо …»

Вася, а вы эту фразу не увидели или её смысл не доходит? Какая разница, что там Йода умеет или не умеет напильником и нитками из бустрапа выстрогать, чтобы довести до размеров, скажем, PureCSS (3.8k)? В третьем опенкарте от этого ничего не изменится (и в т.ч. использование бутстрапа). Или вы на этом абзаце забыли, о чём статейка?

Андрей
робот-вертер
4 месяцев 25 дней назад

Вот говорят, что статья должна быть живая и я считаю, что у Вас это получилось. Статья содержательная, достаточно информативная. Спасибо

Генодий.js
робот-вертер
4 месяцев 3 дней назад

Согласен бутстрап говоно еще то, и 4ка еще хуже. Зачем грузить джквери, и еще бутстрап, когда можно нахуярить все табличной версткой, и никакого флекса не надо, а владельцы смартфонов пусть идут нахуй — смотрите с компьютера. Да и вщаще этот опенкарт нахуй мне не упал, php скрипт корзины (их навалом на гитхабе) + простенькая админка на pure PHP — и пиздец магазин готов. в принципе, и php нахуй не упал — написать демона для линукса, пусть слушает 80й порт, и пишет все в текстовый файл, а то еще этот апач+мускул разворачивать, совсем зажралис, падлы.

Блэтъб Влад
робот-вертер
Блэтъб Влад
2 месяцев 3 дней назад

ну не знаю, я себе bootstrap 4, jquery 3.2.1 и fontawesome последний подключил, удобно

wpDiscuz